#ifndef _CALCUL_HXX
#define _CALCUL_HXX

#include "OpenCL.hxx"

class Calcul_OpenCL {
public:
  Calcul_OpenCL(unsigned long n);
  ~Calcul_OpenCL();

  void init();
  void addition();
  double verification();
  
private:
  OpenCL CL;
  cl_kernel initKernel, addKernel;
  unsigned long n;
  cl_mem d_u, d_v, d_w;
  size_t blockSize, gridSize;
};

#endif

